#ifndef USER_NORFLASH_H_
#define USER_NORFLASH_H_

extern void nor_flash_init(void);
extern unsigned int nor_get_busy_state(unsigned int chip_cs);
extern void nor_erase_full_chip(unsigned int chip_cs);
extern void nor_erase_sector_4k(unsigned int chip_cs,unsigned int addr);
extern void nor_erase_sector_32k(unsigned int chip_cs,unsigned int addr);
extern void nor_erase_sector_64k(unsigned int chip_cs,unsigned int addr);
extern void nor_read_byte(unsigned int chip_cs,unsigned int addr,unsigned char * p_read_data,unsigned int len);
extern void nor_read_page(unsigned int chip_cs,unsigned int addr,unsigned char * p_read_data);
extern void nor_write_byte_via_page(unsigned int chip_cs,unsigned int addr,unsigned char * p_write_data,unsigned int len);
extern void nor_write_page(unsigned int chip_cs,unsigned int addr,unsigned char * p_write_data);

#endif

